#
# spec file for package perl-Compress-Zlib (Version 1.34)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libtool perl rpm

Name:         perl-Compress-Zlib
License:      Artistic License
Group:        Development/Libraries/Perl
Provides:     p_comzlb
Obsoletes:    p_comzlb
Requires:     perl = %{perl_version}
Autoreqprov:  on
Summary:      Perl interface to part of the info-zip zlib compression library
Version:      1.41
Release:      1
Source:       Compress-Zlib-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Perl interface to part of the info-zip zlib compression library



Authors:
--------
    Paul Marquess <Paul.Marquess@btinternet.com>

%debug_package
%prep
%setup -n Compress-Zlib-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-, root, root)
%{perl_vendorarch}/Compress
%{perl_vendorarch}/auto/Compress
%doc %{_mandir}/man3/Compress::Zlib.3pm.gz
/var/adm/perl-modules/perl-Compress-Zlib
%doc ANNOUNCE MANIFEST README

%changelog -n perl-Compress-Zlib
* Thu Dec 15 2005 - joe_morris@ntm.org
- updated to 1.41
* Wed Feb 16 2005 - schwab@suse.de
- Don't remove BuildRoot in %%install.
* Wed Feb 16 2005 - lmuelle@suse.de
- Update to version 1.34.
* Thu Feb 26 2004 - choeger@suse.de
- update to most recent version 1.33
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 - choeger@suse.de
- use install_vendor and new %%perl_process_packlist macro
* Fri Jun 13 2003 - choeger@suse.de
- added missing directories do filelist
* Mon May 19 2003 - choeger@suse.de
- remove installed (but unpackaged) file perllocal.pod
* Thu Aug 08 2002 - mls@suse.de
- use macro in filelist
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Fri Jan 11 2002 - link@suse.de
- update to v1.16
* Wed Nov 15 2000 - choeger@suse.de
- long packagename
- buildroot
* Wed Jul 19 2000 - choeger@suse.de
- first package, v1.08
